Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl
Class RulesNotificationServiceImpl

    java.lang.Object
      org.droolsjbpm.services.impl.RulesNotificationServiceImpl

All Implemented Interfaces:
  RulesNotificationService

    @ApplicationScoped
    public class RulesNotificationServiceImpl

extends Object
implements RulesNotificationService

Constructor Summary
`RulesNotificationServiceImpl()`

Method Summary
`Collection<RuleNotificationInstanceDesc>` | `getAllNotificationInstance()`
`Collection<RuleNotificationInstanceDesc>` | `getAllNotificationInstanceBySessionId(int sessionId)`
`void` | `insertNotification(int sessionId, String notification)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RulesNotificationServiceImpl

    public RulesNotificationServiceImpl()

Method Detail

### insertNotification

    public void insertNotification(int sessionId,
                                   String notification)

  Specified by:
    `insertNotification` in interface `RulesNotificationService`

### getAllNotificationInstance

    public Collection<RuleNotificationInstanceDesc> getAllNotificationInstance()

  Specified by:
    `getAllNotificationInstance` in interface `RulesNotificationService`

### getAllNotificationInstanceBySessionId

    public Collection<RuleNotificationInstanceDesc> getAllNotificationInstanceBySessionId(int sessionId)

  Specified by:
    `getAllNotificationInstanceBySessionId` in interface `RulesNotificationService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.